commit: e1d2870055be9941cde0c153e4467bf68063351d
Author: Lukáš Hrázký <lukkash <AT> email <DOT> cz>
AuthorDate: Sun Jan 31 16:00:13 2016 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Jan 31 16:05:22 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1d28700
media-sound/mpd: fix the systemd user service
Under the user instance of systemd multi-user.target does not exist.
Replace it with default.target.
media-sound/mpd/mpd-0.19.12.ebuild | 2 ++
1 file changed, 2 insertions(+)
diff --git a/media-sound/mpd/mpd-0.19.12.ebuild
b/media-sound/mpd/mpd-0.19.12.ebuild
index 777cd2d..bd945c1 100644
--- a/media-sound/mpd/mpd-0.19.12.ebuild
+++ b/media-sound/mpd/mpd-0.19.12.ebuild
@@ -224,6 +224,8 @@ src_install() {
newinitd "${FILESDIR}"/${PN}2.init ${PN}
systemd_newuserunit systemd/${PN}.service ${PN}.service
+ sed -i '/WantedBy=/c WantedBy=default.target' \
+ "${ED}"/usr/lib/systemd/user/mpd.service || die "sed failed"
if use unicode; then
sed -i -e 's:^#filesystem_charset.*$:filesystem_charset
"UTF-8":' \